Usage for the current or previous UTC calendar month
GET
/v1/usagecurl -X GET 'https://api.embodiflow.io/v1/usage' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- periodstring可选值currentprevious
- groupBystring可选值projectcategory
响应
Success
- dataobject必填
- periodstring必填可选值currentprevious
- periodKeystring必填
- periodStartstring必填
- periodEndstring必填
- groupBystring必填可选值projectcategory
- groupsarray<UsageAggregationGroupDto>必填
- totalsobject必填
响应示例
{
"data": {
"period": "current",
"periodKey": "string",
"periodStart": "string",
"periodEnd": "string",
"groupBy": "project",
"groups": [
{
"projectId": "string",
"projectName": "string",
"category": "storage",
"quantity": "string",
"unit": "string",
"meters": [
{
"meterCode": "string",
"quantity": "string"
}
]
}
],
"totals": {
"storageGbMonth": {
"quantity": "string",
"metered": false
},
"processingMinutes": "string",
"gpuHours": "string",
"endpointHours": "string",
"other": "string"
}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1